/*
 * GALIGN -- Genius ALIGNment, optimal pairwise sequence alignment by dynamic programming algorithms
 * 
 * Copyright (C) 2010 by Ali Katanforoush <a_katanforosh@sbu.ac.ir>
 *
 * This file is a part of GALIGN.
 *
 * GALIGN is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * GALIGN is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
// Keywords: Optimal Pairwise Sequence Alignment
//
// bioinf.h

#ifndef __BIOINF_H
#define __BIOINF_H

typedef char **argvType;
bool parseArgs ( int &argc, argvType & argv, const char *param );
const char *parseArgsStr ( int &argc, argvType & argv, const char *param, const char *dfault = "" );
int parseArgsInt ( int &argc, argvType & argv, const char *param, int dfault = 0 );
double parseArgsNum ( int &argc, argvType & argv, const char *param, double dfault = 0 );
int nt2i ( char b );
char i2nt ( int i );
int ntCompl ( int i );
int aa2i ( char a );
char i2aa ( int i );
const char *aa2AA ( char a );
char AA2aa ( char *A );
int codon2i ( char *c );
int dih2i ( char *s );

#endif
